package com.bonus.canteen.core.marketing.coupon.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDate;

public class MktCouponMobileVO {
   @ApiModelProperty("餐券编号")
   private String couponNum;
   @ApiModelProperty("餐券名称")
   private String couponName;
   @ApiModelProperty("单位名称")
   private String companyName;
   @ApiModelProperty("有效期")
   private LocalDate effectDateStart;
   @ApiModelProperty("有效期")
   private LocalDate effectDateEnd;
   @ApiModelProperty("餐券金额")
   private BigDecimal couponAmount;
   @ApiModelProperty("餐券图片链接")
   private String couponImgUrl;
   @ApiModelProperty("限定使用次数")
   private Integer limitTimes;
   @ApiModelProperty("已使用次数")
   private Integer usedTimes;
   @ApiModelProperty("食堂名称")
   private String canteenNameStr;
   @ApiModelProperty("档口名称")
   private String shopstallNameStr;
   @ApiModelProperty("餐次名称")
   private String intervalNameStr;

   public String getCouponImgUrl() {
      return SysUtil.getCutFileUrl(this.couponImgUrl);
   }

   public String getCouponNum() {
      return this.couponNum;
   }

   public String getCouponName() {
      return this.couponName;
   }

   public String getCompanyName() {
      return this.companyName;
   }

   public LocalDate getEffectDateStart() {
      return this.effectDateStart;
   }

   public LocalDate getEffectDateEnd() {
      return this.effectDateEnd;
   }

   public BigDecimal getCouponAmount() {
      return this.couponAmount;
   }

   public Integer getLimitTimes() {
      return this.limitTimes;
   }

   public Integer getUsedTimes() {
      return this.usedTimes;
   }

   public String getCanteenNameStr() {
      return this.canteenNameStr;
   }

   public String getShopstallNameStr() {
      return this.shopstallNameStr;
   }

   public String getIntervalNameStr() {
      return this.intervalNameStr;
   }

   public void setCouponNum(final String couponNum) {
      this.couponNum = couponNum;
   }

   public void setCouponName(final String couponName) {
      this.couponName = couponName;
   }

   public void setCompanyName(final String companyName) {
      this.companyName = companyName;
   }

   public void setEffectDateStart(final LocalDate effectDateStart) {
      this.effectDateStart = effectDateStart;
   }

   public void setEffectDateEnd(final LocalDate effectDateEnd) {
      this.effectDateEnd = effectDateEnd;
   }

   public void setCouponAmount(final BigDecimal couponAmount) {
      this.couponAmount = couponAmount;
   }

   public void setCouponImgUrl(final String couponImgUrl) {
      this.couponImgUrl = couponImgUrl;
   }

   public void setLimitTimes(final Integer limitTimes) {
      this.limitTimes = limitTimes;
   }

   public void setUsedTimes(final Integer usedTimes) {
      this.usedTimes = usedTimes;
   }

   public void setCanteenNameStr(final String canteenNameStr) {
      this.canteenNameStr = canteenNameStr;
   }

   public void setShopstallNameStr(final String shopstallNameStr) {
      this.shopstallNameStr = shopstallNameStr;
   }

   public void setIntervalNameStr(final String intervalNameStr) {
      this.intervalNameStr = intervalNameStr;
   }

}
